Bug 215661 - Bad wording in auth dialog wrt keyring integration
Bad wording in auth dialog wrt keyring integration
Product: Fedora
Classification: Fedora
Component: libgnomeui (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-11-14 21:27 EST by Marcos Martins da Silva
Modified: 2008-03-18 14:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-18 14:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcos Martins da Silva 2006-11-14 21:27:22 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set up a new "connection to server" (windows share)
2. Click on the icon created on step one
3. System asks the password for the connection and you have two additional
options (remember the password during the current session and save the password
to keyring)
4. Write the password, mark BOTH options and OK
5. You can see the share with no problem and if you close and reopen the
connection, gnome "remembers" the password during all the session so first
option is OK.
6. Log off or reboot
7. after a new logon if you try to open the connection you created in the
previous session, gnome "forgot" the password and shows the same dialog asking
the password and offering the same options:remember during the current session
and save to keyring.
Actual results:
You must yield your password to connect the share every time you start a new session

Expected results:
Gnome-keyring should save the password so that it should not be necessary to
supply it every new session.

Additional info:
My machine is connected to a windows 2000 network (AD). SELinux is disabled.I
have set iptables to accept netbios traffic (137-139 and 445 ports).
Authentication and user information (system -> administration -> authentication
) are set to use winbind and smb. Winbind and samba are running OK. My machine
is joined to domain (ads). I edited gdm and login files on /etc/pam.d to include
pam_mkhomedir so any windows user can logon on my machine and homedir is
automatically created. The only user account on /etc/passwd is root. All other
users are windows users authenticated by AD.
Comment 1 Alexander Larsson 2006-11-20 10:08:45 EST
Hmmm, yeah, We always only save the key in one keyring. In the "session" keyring
if you choose "session", and in the default one otherwise. Selecting both is a
bit weird. I think we used to gray one out or something, but this must have changed.
Comment 2 Alexander Larsson 2006-11-20 10:09:40 EST
(Even if you only save in the non-session keyring it will be remembered for the
session, so you shouldn't have to pick both.)
Comment 3 Marcos Martins da Silva 2006-11-20 19:38:14 EST
Ok, I will try and return in brief. I think the problem is the way it is
written. Or perhaps, the Brazilian Portuguese translation. Now that you
explained, perhaps it would be clearer if the options were like this:
a)Remember the password just for the current session
b)Remember the password permanently.
Better yet you use a radio button instead of a ckeck box I guess it would be
even clearer that the options are mutualy exclusive and not additive.
Thanks for your answer.
Comment 4 Alexander Larsson 2006-11-21 03:25:15 EST
I'm pretty sure it used to be a better ui.
Comment 5 Marcos Martins da Silva 2006-11-29 19:35:39 EST
Ok, I was out for sometime because a travel. But I have made my tests and my
conclusions are:
1- I think since the options are mutually exclusive, perhaps the best UI option
is radio button instead of check box
2- I have learned, for my total surprise, that all win 2000 and win xp shares
were automatically available as soon as I start a gnome session and is never
necessary to yield a password. My only problem was with samba servers. And I
discovered the reason: my samba servers have joined to my domain with security
domain and I was using kerberos to authenticate. After removing the samba server
from the domain, erasing secrets.tdb from its /etc/samba folder, reconfiguring
smb.conf to ads security, adjusting krb5.conf to my realm and KDC and rejoining
with net ads join instead of net rpc join. I can just logon to my linux box and
start using samba share using the ticket I got during logon. Just as any native
windows machine and with no passwd.
Comment 6 Ray Strode [halfline] 2008-03-18 14:41:57 EDT

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.